Bug 725970 - Lost ability to report to bugzilla
Summary: Lost ability to report to bugzilla
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 726116
TreeView+ depends on / blocked
 
Reported: 2011-07-27 08:10 UTC by Nicolas Mailhot
Modified: 2018-04-11 17:10 UTC (History)
8 users (show)

Fixed In Version: abrt-2.0.4-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 726116 (view as bug list)
Environment:
Last Closed: 2011-08-09 06:03:18 UTC
Type: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2011-07-27 08:10:00 UTC
Since the libreport migration both abrt and sealert no longer propose to report bugs in bugzilla. That makes them all rather useless. Error reporting is required to stabolize F16 alpha

$ rpm -qa setroubleshoot* abrt* libreport* |sort
abrt-2.0.4-1.fc16.x86_64
abrt-addon-ccpp-2.0.4-1.fc16.x86_64
abrt-addon-kerneloops-2.0.4-1.fc16.x86_64
abrt-addon-python-2.0.4-1.fc16.x86_64
abrt-cli-2.0.4-1.fc16.x86_64
abrt-desktop-2.0.4-1.fc16.x86_64
abrt-gui-2.0.4-1.fc16.x86_64
abrt-libs-2.0.4-1.fc16.x86_64
libreport-2.0.5-2.fc16.x86_64
libreport-cli-2.0.5-2.fc16.x86_64
libreport-gtk-2.0.5-2.fc16.x86_64
libreport-newt-2.0.5-2.fc16.x86_64
libreport-plugin-bugzilla-2.0.5-2.fc16.x86_64
libreport-plugin-kerneloops-2.0.5-2.fc16.x86_64
libreport-plugin-logger-2.0.5-2.fc16.x86_64
libreport-plugin-reportuploader-2.0.5-2.fc16.x86_64
libreport-python-2.0.5-2.fc16.x86_64
setroubleshoot-3.0.38-1.fc16.x86_64
setroubleshoot-plugins-3.0.14-2.fc15.noarch
setroubleshoot-server-3.0.38-1.fc16.x86_64

Comment 1 Jiri Moskovcak 2011-07-27 08:31:59 UTC
Hi, this problem will be fixed in the next update, in the meantime you can use this workaround:

create a file: /etc/libreport/events.d/sealert_bz.conf

and add this line:

EVENT=report_Bugzilla      reporter-bugzilla

then it should show bugzilla target in the reporter selector.

Comment 2 Nicolas Mailhot 2011-07-27 08:53:06 UTC
Shouldn't that be bugzilla_event.conf ? abrt is affected just like sealert

Comment 3 Jiri Moskovcak 2011-07-27 09:01:15 UTC
The name actually doesn't matter, this line will add bugzilla reporter to everything, so the proper name here would be:

bugzilla_for_all.conf    :) so you can easily find it and remove it, once we fix this.

Comment 4 Fedora Update System 2011-07-29 07:38:08 UTC
libreport-2.0.5-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreport-2.0.5-3.fc16

Comment 5 Nicolas Mailhot 2011-07-30 08:35:40 UTC
libreport-2.0.5-3.fc17.x86_64 contains the line

EVENT=report_Bugzilla analyzer=libreport reporter-bugzilla

That line does not work in abrt comment #1 line works

Comment 6 Jiri Moskovcak 2011-07-31 09:01:12 UTC
(In reply to comment #5)
> libreport-2.0.5-3.fc17.x86_64 contains the line
> 
> EVENT=report_Bugzilla analyzer=libreport reporter-bugzilla
> 
> That line does not work in abrt comment #1 line works

- this line should fix the problem with sealert (it works on my machine), where exactly you miss bugzilla with this patch?

Comment 7 Nicolas Mailhot 2011-07-31 13:46:24 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > libreport-2.0.5-3.fc17.x86_64 contains the line
> > 
> > EVENT=report_Bugzilla analyzer=libreport reporter-bugzilla
> > 
> > That line does not work in abrt comment #1 line works
> 
> - this line should fix the problem with sealert (it works on my machine), where
> exactly you miss bugzilla with this patch?

as I wrote, in abrt-gui
Can not test sealert right now as for some reason the latest version does not capture avcs anymore

abrt-2.0.4-1.fc16.x86_64
abrt-addon-ccpp-2.0.4-1.fc16.x86_64
abrt-addon-kerneloops-2.0.4-1.fc16.x86_64
abrt-addon-python-2.0.4-1.fc16.x86_64
abrt-cli-2.0.4-1.fc16.x86_64
abrt-desktop-2.0.4-1.fc16.x86_64
abrt-gui-2.0.4-1.fc16.x86_64
abrt-libs-2.0.4-1.fc16.x86_64
libreport-2.0.5-3.fc17.x86_64
libreport-cli-2.0.5-3.fc17.x86_64
libreport-gtk-2.0.5-3.fc17.x86_64
libreport-newt-2.0.5-3.fc17.x86_64
libreport-plugin-bugzilla-2.0.5-3.fc17.x86_64
libreport-plugin-kerneloops-2.0.5-3.fc17.x86_64
libreport-plugin-logger-2.0.5-3.fc17.x86_64
libreport-plugin-reportuploader-2.0.5-3.fc17.x86_64
libreport-python-2.0.5-3.fc17.x86_64
selinux-policy-3.10.0-11.fc17.noarch
selinux-policy-targeted-3.10.0-11.fc17.noarch
setroubleshoot-3.0.38-1.fc16.x86_64
setroubleshoot-plugins-3.0.14-2.fc15.noarch
setroubleshoot-server-3.0.38-1.fc16.x86_64

Comment 8 Jiri Moskovcak 2011-07-31 13:56:23 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > libreport-2.0.5-3.fc17.x86_64 contains the line
> > > 
> > > EVENT=report_Bugzilla analyzer=libreport reporter-bugzilla
> > > 
> > > That line does not work in abrt comment #1 line works
> > 
> > - this line should fix the problem with sealert (it works on my machine), where
> > exactly you miss bugzilla with this patch?
> 
> as I wrote, in abrt-gui

- oh, sorry, I should have read your comment more carefully, is it for every crash detected by ABRT or only for some of them (i.e: works for python crashes, but not for kerneloops)

> Can not test sealert right now as for some reason the latest version does not
> capture avcs anymore
> 

- is seapplet running?

Comment 9 Nicolas Mailhot 2011-08-01 17:52:54 UTC
(In reply to comment #8)

> - oh, sorry, I should have read your comment more carefully, is it for every
> crash detected by ABRT or only for some of them (i.e: works for python crashes,
> but not for kerneloops)

It  works for python crashes, but not for kerneloops. Didn't test ccpp crashes

Comment 10 Fedora Update System 2011-08-01 20:15:49 UTC
Package libreport-2.0.5-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.0.5-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libreport-2.0.5-3.fc16
then log in and leave karma (feedback).

Comment 11 Jiri Moskovcak 2011-08-02 08:44:29 UTC
You're right, I checked the config file and bugzilla is not associated with koops:
To make it work, please add following lines to /etc/libreport/events.d/koops_event.conf

EVENT=report_Bugzilla analyzer=Kerneloops
        reporter-bugzilla

Comment 12 Fedora Update System 2011-08-02 16:50:51 UTC
libreport-2.0.5-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreport-2.0.5-4.fc16

Comment 13 Fedora Update System 2011-08-02 20:50:48 UTC
Package libreport-2.0.5-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.0.5-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libreport-2.0.5-4.fc16
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2011-08-09 06:03:08 UTC
libreport-2.0.5-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-08-19 11:36:08 UTC
abrt-2.0.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/abrt-2.0.4-2.fc16

Comment 16 Fedora Update System 2011-08-28 05:35:07 UTC
abrt-2.0.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.